Bug 727921 - [ipa webui] Hostgroup :: No memberOf Net Groups Tab
Summary: [ipa webui] Hostgroup :: No memberOf Net Groups Tab
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ipa
Version: 6.1
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: rc
: ---
Assignee: Rob Crittenden
QA Contact: Chandrasekar Kannan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-03 16:28 UTC by Jenny Severance
Modified: 2015-01-04 23:50 UTC (History)
4 users (show)

Fixed In Version: ipa-2.1.1-1.el6
Doc Type: Bug Fix
Doc Text:
Cause: It is possible to add a host group as a member of a netgroup but that relationship doesn't appear when viewing a host group. Consequence: Netgroups that a host group is a member of do no appear. Fix: The relationship was tracked it just wasn't configured to show. Result: Netgroup membership shows when viewing a host group.
Clone Of:
Environment:
Last Closed: 2011-12-06 18:29:23 UTC


Attachments (Terms of Use)
Netgroup tab. (134.17 KB, image/jpeg)
2011-11-03 06:25 UTC, Gowrishankar Rajaiyan
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1533 normal SHIPPED_LIVE Moderate: ipa security and bug fix update 2011-12-06 01:23:31 UTC

Description Jenny Severance 2011-08-03 16:28:56 UTC
Description of problem:
You can enroll Host Groups into net groups, but editing the Host Group, there is no memberOf Net Group tab.

Version-Release number of selected component (if applicable):
Name        : ipa-server                   Relocations: (not relocatable)
Version     : 2.0.99                            Vendor: (none)
Release     : 6.20110802T0644zgit6f6679e.el6   Build Date: Tue 02 Aug 2011 02:58:31 AM EDT
Install Date: Wed 03 Aug 2011 10:01:02 AM EDT      Build Host: goofy-vm16.dsdev.sjc.redhat.com
Group       : System Environment/Base       Source RPM: ipa-2.0.99-6.20110802T0644zgit6f6679e.el6.src.rpm
Size        : 3261520                          License: GPLv3+
Signature   : (none)
URL         : http://www.freeipa.org/
Summary     : The IPA authentication server
Description :
IPA is an integrated solution to provide centrally managed Identity (machine,
user, virtual machines, groups, authentication credentials), Policy
(configuration settings, access control information) and Audit (events,
logs, analysis thereof). If you are installing an IPA server you need
to install this package (in other words, most people should NOT install
this package).

How reproducible:


Steps to Reproduce:
1. 
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 2 Rob Crittenden 2011-08-03 17:00:52 UTC
https://fedorahosted.org/freeipa/ticket/1563

Comment 3 Martin Kosek 2011-08-31 06:51:37 UTC
Fixed upstream:
master: e52f6528736f311e06c188e5b4858b6fc0ec16f0
ipa-2-1: 44dafb18cec8f1f225b6aaa7ec300446993853de

Comment 5 Rob Crittenden 2011-11-01 01:14:18 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause: It is possible to add a host group as a member of a netgroup but that relationship doesn't appear when viewing a host group.
Consequence: Netgroups that a host group is a member of do no appear.
Fix: The relationship was tracked it just wasn't configured to show.
Result: Netgroup membership shows when viewing a host group.

Comment 6 Gowrishankar Rajaiyan 2011-11-03 06:25:25 UTC
Created attachment 531491 [details]
Netgroup tab.

Netgroup tab is now available for hostgroups.

Name        : ipa-server                   Relocations: (not relocatable)
Version     : 2.1.3                             Vendor: Red Hat, Inc.
Release     : 8.el6                         Build Date: Wed 02 Nov 2011 03:21:27 AM IST
Install Date: Thu 03 Nov 2011 10:13:53 AM IST      Build Host: x86-012.build.bos.redhat.com
Group       : System Environment/Base       Source RPM: ipa-2.1.3-8.el6.src.rpm
Size        : 3381421                          License: GPLv3+
Signature   : (none)
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
URL         : http://www.freeipa.org/
Summary     : The IPA authentication server

Comment 7 errata-xmlrpc 2011-12-06 18:29:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2011-1533.html


Note You need to log in before you can comment on or make changes to this bug.